package com.xhkjedu.suser.mapper.gradeclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.suser.model.gradeclass.TGroupStudent;
import com.xhkjedu.suser.vo.gradeclass.GroupStudentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GroupStudentMapper extends TkMapper<TGroupStudent> {
    //列表
    List<GroupStudentVo> findAll(Integer groupid);

    //删除分组学生
    Integer deleteByGroupId(Integer groupid);

    //添加
    void save(@Param("student") TGroupStudent student);

    //批量保存班级分组学生
    void saveBatchGroupStudent(@Param("list")List<TGroupStudent> list);
}